Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.mondrian
Class MondrianHierarchy

    java.lang.Object
      com.tonbeller.jpivot.mondrian.MondrianHierarchy

All Implemented Interfaces:
  Decorator, Displayable, Expression, Hierarchy, Visitable, MDXElement

    public class MondrianHierarchy

extends java.lang.Object
implements Hierarchy, MDXElement

MondrianHierarchy is an adapter class for the Mondrian Hierarchy.

Field Summary

Fields inherited from interface com.tonbeller.jpivot.olap.model.Displayable
`LABEL_COMPARATOR`

Constructor Summary
`protected` | `MondrianHierarchy(mondrian.olap.Hierarchy monHierarchy, MondrianDimension dimension, MondrianModel model)` Constructor

Method Summary
`void` | `accept(Visitor visitor)`
`protected void` | `addLevel(MondrianLevel level)` add level
`Dimension` | `getDimension()` get the Dimension to which this Hierarchy belongs.
`java.lang.String` | `getLabel()` name of this item
`Level[]` | `getLevels()` get the Levels of this Hierarchy.
`mondrian.olap.Hierarchy` | `getMonHierarchy()` Returns the monHierarchy.
`java.lang.Object` | `getRootDecoree()` returns the object that has been created by the olap server.
`java.lang.String` | `getUniqueName()` return the unique name of an MDX Olap element
`boolean` | `hasAll()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MondrianHierarchy

    protected MondrianHierarchy(mondrian.olap.Hierarchy monHierarchy,
                                MondrianDimension dimension,
                                MondrianModel model)

  Constructor

  Parameters:
    `monHierarchy` - Mondrian Hierarchy
    `dimension` - parent

Method Detail

### addLevel

    protected void addLevel(MondrianLevel level)

  add level

  Parameters:
    `level` - MondrianLevel

### getDimension

    public Dimension getDimension()

  Description copied from interface: `Hierarchy`
  get the Dimension to which this Hierarchy belongs.

  Specified by:
    `getDimension` in interface `Hierarchy`
  See Also:
    `Hierarchy.getDimension()`

### getLevels

    public Level[] getLevels()

  Description copied from interface: `Hierarchy`
  get the Levels of this Hierarchy. Returns null, if this is a ragged hierarchy that does not support levels.

  Specified by:
    `getLevels` in interface `Hierarchy`
  See Also:
    `Hierarchy.getLevels()`

### getLabel

    public java.lang.String getLabel()

  Description copied from interface: `Displayable`
  name of this item

  Specified by:
    `getLabel` in interface `Displayable`

### accept

    public void accept(Visitor visitor)

  Specified by:
    `accept` in interface `Visitable`
  See Also:
    `Visitable.accept(Visitor)`

### getMonHierarchy

    public mondrian.olap.Hierarchy getMonHierarchy()

  Returns the monHierarchy.

  Returns:
    mondrian.olap.Hierarchy

### getRootDecoree

    public java.lang.Object getRootDecoree()

  Description copied from interface: `Decorator`
  returns the object that has been created by the olap server. If this is part of a decorator chain, unwinds the chain and returns the root of all decorators.

  Specified by:
    `getRootDecoree` in interface `Decorator`

### getUniqueName

    public java.lang.String getUniqueName()

  Description copied from interface: `MDXElement`
  return the unique name of an MDX Olap element

  Specified by:
    `getUniqueName` in interface `MDXElement`
  Returns:
    the unique name
  See Also:
    `com.tonbeller.jpivot.olap.model.Hierarchy#getUniqueName()`

### hasAll

    public boolean hasAll()

  Specified by:
    `hasAll` in interface `Hierarchy`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD